Bug 430527 - (CVE-2004-0492) CVE-2004-0492 httpd mod_proxy buffer overflow
CVE-2004-0492 httpd mod_proxy buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20040610,impact=low
: Security
Depends On: 125704
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 11:27 EST by Mark J. Cox (Product Security)
Modified: 2012-06-12 09:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: httpd 1.3.32
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 18:00:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Mark J. Cox (Product Security) 2008-01-28 11:28:56 EST
A security issue has been reported in mod_proxy.  See

http://www.guninski.com/modproxy1.html

We have assigned CAN-2004-0492 to this issue.

The flaw affects Apache httpd 1.3.25 to 1.3.31 inclusive that have
mod_proxy enabled and configured.  Apache httpd 2.0 is unaffected.

The security issue is a buffer overflow which can be triggered by
getting mod_proxy to connect to a remote server which returns an
invalid (negative)  Content-Length.  This results in a memcpy to the
heap with a large length value, which will in most cases cause the
Apache child to crash.  This does not represent a significant Denial
of Service attack as requests will continue to be handled by other
Apache child processes.

In order to exploit this issue an attacker would need to get an
Apache installation that was configured as a proxy to connect to a
malicious site.

For Red Hat Enterprise Linux we do not believe that this issue can
lead to arbitrary code execution. 

A patch to correct this issue is available.  See:
http://marc.theaimsgroup.com/?l=apache-httpd-dev&m=108687304202140

Public Jun10

Comment 2 Vincent Danen 2010-12-21 18:00:08 EST
This was addressed via:

Red Hat Enterprise Linux version 2.1 (RHSA-2004:245)

Note You need to log in before you can comment on or make changes to this bug.